curl -X POST https://api.okrapdf.com/v1/files \
-H "Authorization: Bearer $OKRA_API_KEY" \
-F "file=@report.pdf"
Files
Upload File
Upload a passive PDF file asset.
POST
/
v1
/
files
curl -X POST https://api.okrapdf.com/v1/files \
-H "Authorization: Bearer $OKRA_API_KEY" \
-F "file=@report.pdf"
Overview
Upload a PDF as a private file asset without starting a document workflow. For files larger than the multipart threshold, use Create Direct Upload and Finalize Direct Upload.curl -X POST https://api.okrapdf.com/v1/files \
-H "Authorization: Bearer $OKRA_API_KEY" \
-F "file=@report.pdf"
Response
{
"object": "file",
"id": "file_abc123",
"file_name": "report.pdf",
"workflow_bound": false
}